<template>

  <!-- <h2 class="text-center">Latest Posts</h2> -->

  <div class="container-fluid d-flex flex-wrap justify-content-center mt-5 ">
    <!-- <div class="row"> -->
      <!-- <div class="col-4 col-md-6 col-sm-12"> -->



        <div class="card m-3" style="width: 35rem;" v-for="post in posts" :key="post.id">
          <img :src="post.image" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title">{{ post.title }}</h5>
            <p class="card-text">{{ post.content }}</p>
            <router-link :to="{ name: 'PostDetails', params: { id: post.id } }" class="nice-button">Read
              more</router-link>

          </div>
        </div>
      <!-- </div> -->
    <!-- </div> -->

  </div>


</template>

<script setup lang="ts">
import { ref, onMounted } from 'vue';
import { fetchPosts } from '@/services/posts-service';
import type { Post } from '@/entities';

const posts = ref<Post[]>([]);

onMounted(async () => {
  posts.value = await fetchPosts();
});


</script>

<style scoped>
.card-body:hover {
  background-color: #d1cfcb;

}

.add-btn {
  margin-top: 20px;
  margin-bottom: 20px;
  width: 200px;
  height: 50px;
  border-radius: 10px;
  background-color: transparent;
  color: #45474b;
  font-weight: 600;
  text-align: center;
  cursor: pointer;
}

.add-btn:hover {
  border: solid 1px grey;
  color: #120c5f;
}
</style>